<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui">
  <meta name="renderer" content="webkit">
  <meta http-equiv="Cache-Control" content="no-transform" />
  <meta http-equiv="Cache-Control" content="no-siteapp" />
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <meta name="format-detection" content="telephone=no,email=no,adress=no">
  <!-- Color theme for statusbar -->
  <meta name="theme-color" content="#000000" />
  <!-- 强制页面在当前窗口以独立页面显示,防止别人在框架里调用页面 -->
  <meta http-equiv="window-target" content="_top" />
  
  
  <title>Faced issue while integrating html template to component here how i solved | Hashmi Mohammed</title>
  <meta name="description" content="As I am working on rails webpacker gem and added angular to my application i faced integrating html template to component .https://github.com/rails/webpacker#use-html-templates-with-typescript-and-ang">
<meta name="keywords" content="angular html templates">
<meta property="og:type" content="article">
<meta property="og:title" content="Faced issue while integrating html template to component here how i solved">
<meta property="og:url" content="http://hashmi.smf.gitlab.io/2017/06/06/Faced-issue-while-integrating-html-template-to-component-here-how-i-solved/index.html">
<meta property="og:site_name" content="Hashmi Mohammed">
<meta property="og:description" content="As I am working on rails webpacker gem and added angular to my application i faced integrating html template to component .https://github.com/rails/webpacker#use-html-templates-with-typescript-and-ang">
<meta property="og:updated_time" content="2017-12-14T07:49:18.276Z">
<meta name="twitter:card" content="summary">
<meta name="twitter:title" content="Faced issue while integrating html template to component here how i solved">
<meta name="twitter:description" content="As I am working on rails webpacker gem and added angular to my application i faced integrating html template to component .https://github.com/rails/webpacker#use-html-templates-with-typescript-and-ang">
  <!-- Canonical links -->
  <link rel="canonical" href="http://hashmi.smf.gitlab.io/2017/06/06/Faced-issue-while-integrating-html-template-to-component-here-how-i-solved/index.html">
  
  
    <link rel="icon" href="/favicon.png" type="image/x-icon">
  
  <link rel="stylesheet" href="/css/style.css">
  
  
  
  
</head>


<body class="main-center theme-blue" itemscope itemtype="http://schema.org/WebPage">
  <header class="header" itemscope itemtype="http://schema.org/WPHeader">
  <div class="slimContent">
    <div class="navbar-header">
      
      
      <div class="profile-block text-center">
        <a id="avatar" href="https://github.com/hashmee" target="_blank">
          <img class="img-circle img-rotate" src="/images/avatar.jpg" width="200" height="200">
        </a>
        <h2 id="name" class="hidden-xs hidden-sm">Hashmi Mohammed</h2>
        <h3 id="title" class="hidden-xs hidden-sm hidden-md">Ardent Programmer</h3>
        <small id="location" class="text-muted hidden-xs hidden-sm"><i class="icon icon-map-marker"></i> Hyderabad, India</small>
      </div>
      
      <div class="search" id="search-form-wrap">

    <form class="search-form sidebar-form">
        <div class="input-group">
            <input type="text" class="search-form-input form-control" placeholder="Search" />
            <span class="input-group-btn">
                <button type="submit" class="search-form-submit btn btn-flat" onclick="return false;"><i class="icon icon-search"></i></button>
            </span>
        </div>
    </form>
    <div class="ins-search">
  <div class="ins-search-mask"></div>
  <div class="ins-search-container">
    <div class="ins-input-wrapper">
      <input type="text" class="ins-search-input" placeholder="Type something..." x-webkit-speech />
      <button type="button" class="close ins-close ins-selectable" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
    </div>
    <div class="ins-section-wrapper">
      <div class="ins-section-container"></div>
    </div>
  </div>
</div>


</div>
      <button class="navbar-toggle collapsed" type="button" data-toggle="collapse" data-target="#main-navbar" aria-controls="main-navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
    </div>
    <nav id="main-navbar" class="collapse navbar-collapse" itemscope itemtype="http://schema.org/SiteNavigationElement" role="navigation">
      <ul class="nav navbar-nav main-nav ">
        
        
        <li class="menu-item menu-item-home">
          <a href="/.">
            
            <i class="icon icon-home-fill"></i>
            
            <span class="menu-title">Home</span>
          </a>
        </li>
        
        
        <li class="menu-item menu-item-about">
          <a href="/about">
            
            <i class="icon icon-cup-fill"></i>
            
            <span class="menu-title">About</span>
          </a>
        </li>
        
        
        <li class="menu-item menu-item-archives">
          <a href="/archives">
            
            <i class="icon icon-archives-fill"></i>
            
            <span class="menu-title">Archives</span>
          </a>
        </li>
        
      </ul>
      
	
    <ul class="social-links">
    	
        <li><a href="https://github.com/hashmee" target="_blank" title="Github" data-toggle=tooltip data-placement=top><i class="icon icon-github"></i></a></li>
        
        <li><a href="https://twitter.com/hashmi_smf" target="_blank" title="Twitter" data-toggle=tooltip data-placement=top><i class="icon icon-twitter"></i></a></li>
        
    </ul>

    </nav>
  </div>
</header>

  
    <aside class="sidebar" itemscope itemtype="http://schema.org/WPSideBar">
  <div class="slimContent">
    
      <div class="widget">
    <h3 class="widget-title">Board</h3>
    <div class="widget-body">
        <div id="board">
            <div class="content">
                <p>I Blog new and interesting things(which I feel :)) in a programmer point of view.</p>
            </div>
        </div>
    </div>
</div>

    
      

    
      
  <div class="widget">
    <h3 class="widget-title">Tags</h3>
    <div class="widget-body">
      <ul class="tag-list"><li class="tag-list-item"><a class="tag-list-link" href="/tags/active-record-transactions/">active record transactions</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/angular-html-templates/">angular html templates</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/dotfiles/">dotfiles</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/firstpost/">firstpost</a><span class="tag-list-count">1</span></li><li class="tag-list-item"><a class="tag-list-link" href="/tags/react-redux-youtube-api-search/">react, redux, youtube_api_search</a><span class="tag-list-count">1</span></li></ul>
    </div>
  </div>


    
      
  <div class="widget">
    <h3 class="widget-title">Tag Cloud</h3>
    <div class="widget-body tagcloud">
      <a href="/tags/active-record-transactions/" style="font-size: 13px;">active record transactions</a> <a href="/tags/angular-html-templates/" style="font-size: 13px;">angular html templates</a> <a href="/tags/dotfiles/" style="font-size: 13px;">dotfiles</a> <a href="/tags/firstpost/" style="font-size: 13px;">firstpost</a> <a href="/tags/react-redux-youtube-api-search/" style="font-size: 13px;">react, redux, youtube_api_search</a>
    </div>
  </div>

    
      
  <div class="widget">
    <h3 class="widget-title">Archive</h3>
    <div class="widget-body">
      <ul class="archive-list"><li class="archive-list-item"><a class="archive-list-link" href="/archives/2018/01/">January 2018</a><span class="archive-list-count">2</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/12/">December 2017</a><span class="archive-list-count">1</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/11/">November 2017</a><span class="archive-list-count">2</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/10/">October 2017</a><span class="archive-list-count">2</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/06/">June 2017</a><span class="archive-list-count">4</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/05/">May 2017</a><span class="archive-list-count">3</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2017/03/">March 2017</a><span class="archive-list-count">1</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2015/06/">June 2015</a><span class="archive-list-count">1</span></li><li class="archive-list-item"><a class="archive-list-link" href="/archives/2014/12/">December 2014</a><span class="archive-list-count">1</span></li></ul>
    </div>
  </div>


    
      
  <div class="widget">
    <h3 class="widget-title">Recent Posts</h3>
    <div class="widget-body">
      <ul class="recent-post-list list-unstyled no-thumbnail">
        
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2018/01/17/react-redux-learning/" class="title">react_redux_learning</a>
              </p>
              <p class="item-date">
                <time datetime="2018-01-17T03:58:46.000Z" itemprop="datePublished">2018-01-17</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2018/01/09/my_dotfiles/" class="title">Dotfiles for my dev environment</a>
              </p>
              <p class="item-date">
                <time datetime="2018-01-08T19:30:06.000Z" itemprop="datePublished">2018-01-09</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2017/12/14/awesome-post/" class="title">Awesome post</a>
              </p>
              <p class="item-date">
                <time datetime="2017-12-13T19:20:06.000Z" itemprop="datePublished">2017-12-14</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2017/11/26/npm-json-server-for-random-api-with-loads-of-data/" class="title">npm json-server for random api with loads of data</a>
              </p>
              <p class="item-date">
                <time datetime="2017-11-25T18:39:57.000Z" itemprop="datePublished">2017-11-26</time>
              </p>
            </div>
          </li>
          
          <li>
            
            <div class="item-inner">
              <p class="item-category">
                
              </p>
              <p class="item-title">
                <a href="/2017/11/25/Docker-build-Ruby-on-Rails/" class="title">Docker build Ruby on Rails</a>
              </p>
              <p class="item-date">
                <time datetime="2017-11-24T20:55:54.000Z" itemprop="datePublished">2017-11-25</time>
              </p>
            </div>
          </li>
          
      </ul>
    </div>
  </div>
  

    
  </div>
</aside>

  
  
<main class="main" role="main">
  <div class="content">
  <article id="post-Faced-issue-while-integrating-html-template-to-component-here-how-i-solved" class="article article-type-post" itemscope itemtype="http://schema.org/BlogPosting">
    
    <div class="article-header">
      
        
  
    <h1 class="article-title" itemprop="name">
      Faced issue while integrating html template to component here how i solved
    </h1>
  

      
      <div class="article-meta">
        <span class="article-date">
    <i class="icon icon-calendar-check"></i>
	<a href="/2017/06/06/Faced-issue-while-integrating-html-template-to-component-here-how-i-solved/" class="article-date">
	  <time datetime="2017-06-06T06:16:55.000Z" itemprop="datePublished">2017-06-06</time>
	</a>
</span>
        
        
  <span class="article-tag">
    <i class="icon icon-tags"></i>
	<a class="article-tag-link" href="/tags/angular-html-templates/">angular html templates</a>
  </span>


        

        <span class="post-comment"><i class="icon icon-comment"></i> <a href="/2017/06/06/Faced-issue-while-integrating-html-template-to-component-here-how-i-solved/#comments" class="article-comment-link">Comments</a></span>
        
      </div>
    </div>
    <div class="article-entry marked-body" itemprop="articleBody">
      
        <div dir="ltr" style="text-align: left;" trbidi="on"><div style="text-align: left;"><span style="font-size: large;">As I am working on rails webpacker gem and added angular to my application i faced integrating html template to component .</span></div><span style="background-color: white; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px;"><br></span><span style="background-color: white;"><span style="color: #24292e; font-family: -apple-system, system-ui, Segoe UI, Helvetica, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;"><a href="https://github.com/rails/webpacker#use-html-templates-with-typescript-and-angular" target="_blank" rel="noopener">https://github.com/rails/webpacker#use-html-templates-with-typescript-and-angular</a></span></span><br><span style="background-color: white;"><span style="color: #24292e; font-family: -apple-system, system-ui, Segoe UI, Helvetica, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;"><br></span></span><span style="background-color: white; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px;">After you have installed angular using&nbsp;</span><a href="https://github.com/rails/webpacker#angular-with-typescript" target="_blank" rel="noopener">angular installer</a><span style="background-color: white; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px;">&nbsp;you would need to follow these steps to add HTML templates support:</span><br><br>1.  Use&nbsp;<code>yarn</code>&nbsp;to add html-loader<div class="highlight highlight-source-shell" style="box-sizing: border-box; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px; margin-bottom: 16px;"><pre style="background-color: #f6f8fa; border-radius: 3px; box-sizing: border-box; font-family: SFMono-Regular, Consolas, &quot;Liberation Mono&quot;, Menlo, Courier, monospace; font-size: 13.6px; font-stretch: normal; line-height: 1.45; overflow: auto; padding: 16px; word-break: normal; word-wrap: normal;">yarn add html-loader</pre></div>

<ol>
<li><p>Add html-loader to&nbsp;<code>config/webpacker/loaders/html.js</code><div class="highlight highlight-source-js" style="box-sizing: border-box; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px; margin-bottom: 16px;"><pre style="background-color: #f6f8fa; border-radius: 3px; box-sizing: border-box; font-family: SFMono-Regular, Consolas, &quot;Liberation Mono&quot;, Menlo, Courier, monospace; font-size: 13.6px; font-stretch: normal; line-height: 1.45; overflow: auto; padding: 16px; word-break: normal; word-wrap: normal;"><span class="pl-c1" style="box-sizing: border-box; color: #0086b3;">module</span>.<span class="pl-smi" style="box-sizing: border-box; color: #333333;">exports</span> <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">=</span> {<br>test<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span><span class="pl-sr" style="box-sizing: border-box; color: #183691;"> <span class="pl-pds" style="box-sizing: border-box;">/</span><span class="pl-cce" style="box-sizing: border-box; color: #63a35c; font-weight: bold;">.</span>html<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">$</span><span class="pl-pds" style="box-sizing: border-box;">/</span></span>,<br>use<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> [{<br>loader<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> <span class="pl-s" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">‘</span>html-loader<span class="pl-pds" style="box-sizing: border-box;">‘</span></span>,<br>options<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> {<br>  minimize<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> <span class="pl-c1" style="box-sizing: border-box; color: #0086b3;">true</span>,<br>  removeAttributeQuotes<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> <span class="pl-c1" style="box-sizing: border-box; color: #0086b3;">false</span>,<br>  caseSensitive<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> <span class="pl-c1" style="box-sizing: border-box; color: #0086b3;">true</span>,<br>  customAttrSurround<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> [ [<span class="pl-sr" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">/</span>#<span class="pl-pds" style="box-sizing: border-box;">/</span></span>,<span class="pl-sr" style="box-sizing: border-box; color: #183691;"> <span class="pl-pds" style="box-sizing: border-box;">/</span>(?:)<span class="pl-pds" style="box-sizing: border-box;">/</span></span>], [<span class="pl-sr" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">/</span><span class="pl-cce" style="box-sizing: border-box; color: #63a35c; font-weight: bold;">*</span><span class="pl-pds" style="box-sizing: border-box;">/</span></span>,<span class="pl-sr" style="box-sizing: border-box; color: #183691;"> <span class="pl-pds" style="box-sizing: border-box;">/</span>(?:)<span class="pl-pds" style="box-sizing: border-box;">/</span></span>], [<span class="pl-sr" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">/</span><span class="pl-cce" style="box-sizing: border-box; color: #63a35c; font-weight: bold;">[</span><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">?</span><span class="pl-cce" style="box-sizing: border-box; color: #63a35c; font-weight: bold;">(</span><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">?</span><span class="pl-pds" style="box-sizing: border-box;">/</span></span>,<span class="pl-sr" style="box-sizing: border-box; color: #183691;"> <span class="pl-pds" style="box-sizing: border-box;">/</span>(?:)<span class="pl-pds" style="box-sizing: border-box;">/</span></span>] ],<br>  customAttrAssign<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> [<span class="pl-sr" style="box-sizing: border-box; color: #183691;"> <span class="pl-pds" style="box-sizing: border-box;">/</span><span class="pl-cce" style="box-sizing: border-box; color: #63a35c; font-weight: bold;">)</span><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">?</span><span class="pl-cce" style="box-sizing: border-box; color: #63a35c; font-weight: bold;">]</span><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">?</span>=<span class="pl-pds" style="box-sizing: border-box;">/</span></span> ]<br>}<br>}]<br>}</pre></div></p>
</li>
<li><p>Add&nbsp;<code>.html</code>&nbsp;to&nbsp;<code>config/webpacker.yml</code><div class="highlight highlight-source-yaml" style="box-sizing: border-box; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px; margin-bottom: 16px;"><pre style="background-color: #f6f8fa; border-radius: 3px; box-sizing: border-box; font-family: SFMono-Regular, Consolas, &quot;Liberation Mono&quot;, Menlo, Courier, monospace; font-size: 13.6px; font-stretch: normal; line-height: 1.45; overflow: auto; padding: 16px; word-break: normal; word-wrap: normal;">  <span class="pl-ent" style="box-sizing: border-box; color: #63a35c;">extensions</span>:</pre></div></p>
<ul>
<li><span class="pl-s" style="box-sizing: border-box; color: #183691;">.elm</span></li>
<li><span class="pl-s" style="box-sizing: border-box; color: #183691;">.coffee</span></li>
<li><span class="pl-s" style="box-sizing: border-box; color: #183691;">.html</span></li></ul></li></ol></div>


<li><p>Setup a custom&nbsp;<code>d.ts</code>&nbsp;definition<div class="highlight highlight-source-ts" style="box-sizing: border-box; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px; margin-bottom: 16px;"><pre style="background-color: #f6f8fa; border-radius: 3px; box-sizing: border-box; font-family: SFMono-Regular, Consolas, &quot;Liberation Mono&quot;, Menlo, Courier, monospace; font-size: 13.6px; font-stretch: normal; line-height: 1.45; overflow: auto; padding: 16px; word-break: normal; word-wrap: normal;"><span class="pl-c" style="box-sizing: border-box; color: #969896;"><span class="pl-c" style="box-sizing: border-box;">//</span> app/javascript/hello_angular/html.d.ts</span></pre></div></p>
</li>

<p><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">declare</span> <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">module</span> <span class="pl-s" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">“</span>*.html<span class="pl-pds" style="box-sizing: border-box;">“</span></span> {<br>  <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">const</span> content<span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">:</span> <span class="pl-c1" style="box-sizing: border-box; color: #0086b3;">string</span><br>  <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">export</span> <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">default</span> <span class="pl-smi" style="box-sizing: border-box; color: #333333;">content</span><br>}</p>
<ol>
<li><p>Add a template.html file relative to&nbsp;<code>app.component.ts</code><div class="highlight highlight-text-html-basic" style="box-sizing: border-box; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px; margin-bottom: 16px;"><pre style="background-color: #f6f8fa; border-radius: 3px; box-sizing: border-box; font-family: SFMono-Regular, Consolas, &quot;Liberation Mono&quot;, Menlo, Courier, monospace; font-size: 13.6px; font-stretch: normal; line-height: 1.45; overflow: auto; padding: 16px; word-break: normal; word-wrap: normal;">&lt;<span class="pl-ent" style="box-sizing: border-box; color: #63a35c;">h1</span>&gt;Hello &lt;/<span class="pl-ent" style="box-sizing: border-box; color: #63a35c;">h1</span>&gt;</pre></div></p>
</li>
<li><p>Import template into&nbsp;<code>app.component.ts</code><div class="highlight highlight-source-ts" style="box-sizing: border-box; color: #24292e; font-family: -apple-system, system-ui, &quot;Segoe UI&quot;, Helvetica, Arial, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;; font-size: 16px; margin-bottom: 16px;"><pre style="background-color: #f6f8fa; border-radius: 3px; box-sizing: border-box; font-family: SFMono-Regular, Consolas, &quot;Liberation Mono&quot;, Menlo, Courier, monospace; font-size: 13.6px; font-stretch: normal; line-height: 1.45; overflow: auto; padding: 16px; word-break: normal; word-wrap: normal;"><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">import</span> { <span class="pl-smi" style="box-sizing: border-box; color: #333333;">Component</span> } <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">from</span> <span class="pl-s" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">‘</span>@angular/core<span class="pl-pds" style="box-sizing: border-box;">‘</span></span><br><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">import</span> <span class="pl-smi" style="box-sizing: border-box; color: #333333;">templateString</span> <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">from</span> <span class="pl-s" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">‘</span>./template.html<span class="pl-pds" style="box-sizing: border-box;">‘</span></span></pre></div></p>
</li>
</ol>
<p>@<span class="pl-en" style="box-sizing: border-box; color: #795da3;">Component</span>({<br>  selector: <span class="pl-s" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">‘</span>hello-angular<span class="pl-pds" style="box-sizing: border-box;">‘</span></span>,<br>  template: <span class="pl-smi" style="box-sizing: border-box; color: #333333;">templateString</span><br>})</p>
<p><span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">export</span> <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">class</span> <span class="pl-en" style="box-sizing: border-box; color: #795da3;">AppComponent</span> {<br>  name <span class="pl-k" style="box-sizing: border-box; color: #a71d5d;">=</span> <span class="pl-s" style="box-sizing: border-box; color: #183691;"><span class="pl-pds" style="box-sizing: border-box;">‘</span>Angular!<span class="pl-pds" style="box-sizing: border-box;">‘</span></span><br>}<pre style="background-color: #f6f8fa; border-radius: 3px; box-sizing: border-box; font-family: SFMono-Regular, Consolas, &quot;Liberation Mono&quot;, Menlo, Courier, monospace; font-size: 13.6px; font-stretch: normal; line-height: 1.45; overflow: auto; padding: 16px; word-break: normal; word-wrap: normal;"><br></pre></p>

      
    </div>
    <div class="article-footer">
      <blockquote class="mt-2x">
  <ul class="post-copyright list-unstyled">
    
    <li class="post-copyright-link hidden-xs">
      <strong>Link to this：</strong>
      <a href="http://hashmi.smf.gitlab.io/2017/06/06/Faced-issue-while-integrating-html-template-to-component-here-how-i-solved/" title="Faced issue while integrating html template to component here how i solved" target="_blank" rel="external">http://hashmi.smf.gitlab.io/2017/06/06/Faced-issue-while-integrating-html-template-to-component-here-how-i-solved/</a>
    </li>
    
  </ul>
</blockquote>


<div class="panel panel-default panel-badger">
  <div class="panel-body">
    <figure class="media">
      <div class="media-left">
        <a href="https://github.com/hashmee" target="_blank" class="img-burn thumb-sm visible-lg">
          <img src="/images/avatar.jpg" class="img-rounded w-full" alt="">
        </a>
      </div>
      <div class="media-body">
        <h3 class="media-heading"><a href="https://github.com/hashmee" target="_blank"><span class="text-dark">Hashmi Mohammed</span><small class="ml-1x">Ardent Programmer</small></a></h3>
        <div>Going Happy</div>
      </div>
    </figure>
  </div>
</div>


    </div>
  </article>
  
    
  <section id="comments">
  	
      <div id="disqus_thread">
        <noscript>Please enable JavaScript to view the <a href="//disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
      </div>
    
  </section>


  
</div>

  <nav class="bar bar-footer clearfix" data-stick-bottom>
  <div class="bar-inner">
  
  <ul class="pager pull-left">
    
    <li class="prev">
      <a href="/2017/06/06/Applied-Material-design/" title="Applied Material design"><i class="icon icon-angle-left" aria-hidden="true"></i><span>&nbsp;&nbsp;Newer</span></a>
    </li>
    
    
    <li class="next">
      <a href="/2017/06/06/Started-angular-basics-with-yarn-and-webpacker-👌/" title="Started angular basics with yarn and webpacker 👌"><span>Older&nbsp;&nbsp;</span><i class="icon icon-angle-right" aria-hidden="true"></i></a>
    </li>
    
    
  </ul>
  
  
  
  <div class="bar-right">
    
    <div class="share-component" data-sites="twitter" data-mobile-sites="weibo,qq,qzone"></div>
    
  </div>
  </div>
</nav>
  


</main>

  <footer class="footer" itemscope itemtype="http://schema.org/WPFooter">
	
	
    <ul class="social-links">
    	
        <li><a href="https://github.com/hashmee" target="_blank" title="Github" data-toggle=tooltip data-placement=top><i class="icon icon-github"></i></a></li>
        
        <li><a href="https://twitter.com/hashmi_smf" target="_blank" title="Twitter" data-toggle=tooltip data-placement=top><i class="icon icon-twitter"></i></a></li>
        
    </ul>

    <div class="copyright">
    	
        <div class="publishby">

        </div>
    </div>
</footer>

  <script src="//cdn.jsdelivr.net/npm/jquery@1.12.4/dist/jquery.min.js"></script>
<script>
window.jQuery || document.write('<script src="js/jquery.min.js"><\/script>')
</script>
<script src="/js/plugin.min.js"></script>
<script src="/js/application.js"></script>

    <script>
(function (window) {
    var INSIGHT_CONFIG = {
        TRANSLATION: {
            POSTS: 'Posts',
            PAGES: 'Pages',
            CATEGORIES: 'Categories',
            TAGS: 'Tags',
            UNTITLED: '(Untitled)',
        },
        ROOT_URL: '/',
        CONTENT_URL: '/content.json',
    };
    window.INSIGHT_CONFIG = INSIGHT_CONFIG;
})(window);
</script>
<script src="/js/insight.js"></script>





   




   
    
    <script defer>
    var disqus_config = function () {
        
            this.page.url = 'http://hashmi.smf.gitlab.io/2017/06/06/Faced-issue-while-integrating-html-template-to-component-here-how-i-solved/';
        
        this.page.identifier = 'Faced-issue-while-integrating-html-template-to-component-here-how-i-solved';
    };
    (function() { 
        var d = document, s = d.createElement('script');  
        s.src = '//' + 'mohammed-hashmi' + '.disqus.com/embed.js';
        s.setAttribute('data-timestamp', +new Date());
        (d.head || d.body).appendChild(s);
    })();
</script>






    <script defer type="text/javascript">
(function(i,s,o,g,r,a,m) {i['GoogleAnalyticsObject']=r;i[r]=i[r]||function() {
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-111202628-1', 'auto');
ga('send', 'pageview');

</script>



</body>
</html>